path-0.9.6: Support for well-typed paths

Safe Haskell | None
Language | Haskell2010

System.OsString.Compat.Posix

Contents

- Orphan instances

Synopsis

- newtype PosixString = PosixString {
  - getPosixString :: ShortByteString
  }
- newtype PosixChar = PosixChar {
  - getPosixChar :: Word8
  }
- module System.OsString.Posix

# Documentation

newtype PosixString Source #

Commonly used Posix string as uninterpreted `char[]` array.

Constructors

PosixString |

Fields

- getPosixString :: ShortByteString

#### Instances

Instances details

NFData PosixString |
Instance details Defined in System.OsString.Internal.Types Methods rnf :: PosixString -> () Source #
Monoid PosixString |
Instance details Defined in System.OsString.Internal.Types Methods mempty :: PosixString Source # mappend :: PosixString -> PosixString -> PosixString Source # mconcat :: [PosixString] -> PosixString Source #
Semigroup PosixString |
Instance details Defined in System.OsString.Internal.Types Methods (<>) :: PosixString -> PosixString -> PosixString Source # sconcat :: NonEmpty PosixString -> PosixString Source # stimes :: Integral b => b -> PosixString -> PosixString Source #
Data PosixString Source # |

Instance details

Defined in System.OsString.Compat.Posix

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> PosixString -> c PosixString Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c PosixString Source #

toConstr :: PosixString -> Constr Source #

dataTypeOf :: PosixString -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c PosixString) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c PosixString) Source #

gmapT :: (forall b. Data b => b -> b) -> PosixString -> PosixString Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> PosixString -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> PosixString -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> PosixString -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> PosixString -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> PosixString -> m PosixString Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> PosixString -> m PosixString Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> PosixString -> m PosixString Source #

Generic PosixString |

Instance details

Defined in System.OsString.Internal.Types

Associated Types

type Rep PosixString |
Instance details Defined in System.OsString.Internal.Types type Rep PosixString = D1 ('MetaData "PosixString" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "PosixString" 'PrefixI 'True) (S1 ('MetaSel ('Just "getPosixString") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ShortByteString)))

Methods

from :: PosixString -> Rep PosixString x Source #

to :: Rep PosixString x -> PosixString Source #

Show PosixString | Prints the raw bytes without decoding.
Instance details Defined in System.OsString.Internal.Types Methods showsPrec :: Int -> PosixString -> ShowS Source # show :: PosixString -> String Source # showList :: [PosixString] -> ShowS Source #
Eq PosixString |
Instance details Defined in System.OsString.Internal.Types Methods (==) :: PosixString -> PosixString -> Bool Source # (/=) :: PosixString -> PosixString -> Bool Source #
Ord PosixString |

Instance details

Defined in System.OsString.Internal.Types

Methods

compare :: PosixString -> PosixString -> Ordering Source #

(<) :: PosixString -> PosixString -> Bool Source #

(<=) :: PosixString -> PosixString -> Bool Source #

(>) :: PosixString -> PosixString -> Bool Source #

(>=) :: PosixString -> PosixString -> Bool Source #

max :: PosixString -> PosixString -> PosixString Source #

min :: PosixString -> PosixString -> PosixString Source #

Lift PosixString |
Instance details Defined in System.OsString.Internal.Types Methods lift :: Quote m => PosixString -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => PosixString -> Code m PosixString Source #
type Rep PosixString |
Instance details Defined in System.OsString.Internal.Types type Rep PosixString = D1 ('MetaData "PosixString" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "PosixString" 'PrefixI 'True) (S1 ('MetaSel ('Just "getPosixString") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ShortByteString)))

newtype PosixChar Source #

Constructors

PosixChar |

Fields

- getPosixChar :: Word8

#### Instances

Instances details

NFData PosixChar |
Instance details Defined in System.OsString.Internal.Types Methods rnf :: PosixChar -> () Source #
Generic PosixChar |

Instance details

Defined in System.OsString.Internal.Types

Associated Types

type Rep PosixChar |
Instance details Defined in System.OsString.Internal.Types type Rep PosixChar = D1 ('MetaData "PosixChar" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "PosixChar" 'PrefixI 'True) (S1 ('MetaSel ('Just "getPosixChar") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Word8)))

Methods

from :: PosixChar -> Rep PosixChar x Source #

to :: Rep PosixChar x -> PosixChar Source #

Show PosixChar |
Instance details Defined in System.OsString.Internal.Types Methods showsPrec :: Int -> PosixChar -> ShowS Source # show :: PosixChar -> String Source # showList :: [PosixChar] -> ShowS Source #
Eq PosixChar |
Instance details Defined in System.OsString.Internal.Types Methods (==) :: PosixChar -> PosixChar -> Bool Source # (/=) :: PosixChar -> PosixChar -> Bool Source #
Ord PosixChar |

Instance details

Defined in System.OsString.Internal.Types

Methods

compare :: PosixChar -> PosixChar -> Ordering Source #

(<) :: PosixChar -> PosixChar -> Bool Source #

(<=) :: PosixChar -> PosixChar -> Bool Source #

(>) :: PosixChar -> PosixChar -> Bool Source #

(>=) :: PosixChar -> PosixChar -> Bool Source #

max :: PosixChar -> PosixChar -> PosixChar Source #

min :: PosixChar -> PosixChar -> PosixChar Source #

type Rep PosixChar |
Instance details Defined in System.OsString.Internal.Types type Rep PosixChar = D1 ('MetaData "PosixChar" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "PosixChar" 'PrefixI 'True) (S1 ('MetaSel ('Just "getPosixChar") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Word8)))

module System.OsString.Posix

# Orphan instances

Data PosixString Source # |

Instance details

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> PosixString -> c PosixString Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c PosixString Source #

toConstr :: PosixString -> Constr Source #

dataTypeOf :: PosixString -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c PosixString) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c PosixString) Source #

gmapT :: (forall b. Data b => b -> b) -> PosixString -> PosixString Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> PosixString -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> PosixString -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> PosixString -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> PosixString -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> PosixString -> m PosixString Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> PosixString -> m PosixString Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> PosixString -> m PosixString Source #